Bug 1124700 - [JBossFuse]Show "Could not reach Fuse console, http response 404" when create fuse app
Summary: [JBossFuse]Show "Could not reach Fuse console, http response 404" when create...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Fuse
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Hiram Chirino
QA Contact: David Simansky
URL:
Whiteboard:
Depends On:
Blocks: 1132292
TreeView+ depends on / blocked
 
Reported: 2014-07-30 06:41 UTC by xjia
Modified: 2016-10-28 13:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-28 13:55:29 UTC


Attachments (Terms of Use)

Description xjia 2014-07-30 06:41:20 UTC
Description of problem:
When create a fuse app, show "Command Failed: Could not reach Fuse console, http response 404" error message. 
1. This's a performance issue. Please optimize it.
2. "Command Failed: XXX" will be confusing user.

Version-Release number of selected component (if applicable):
openshift-origin-cartridge-fuse-6.1.0.redhat.387-4.el6op.noarch.rpm

How reproducible:
Always

Steps to Reproduce:
1. rhc app create fuse01 fuse-1.0 -g medium -e OPENSHIFT_FUSE_ZOOKEEPER_PASSWORD=redhat

Actual results:
[root@broker ~]# rhc app create fuse01 fuse-1.0 -g medium -e OPENSHIFT_FUSE_ZOOKEEPER_PASSWORD=redhat
Using fuse-1.0.0 (JBoss Fuse 6.1.0 EA) for 'fuse-1.0'

Application Options
-------------------
Domain:                xuan
Cartridges:            fuse-1.0.0
Gear Size:             medium
Scaling:               no
Environment Variables: OPENSHIFT_FUSE_ZOOKEEPER_PASSWORD=redhat

Creating application 'fuse01' ... Started Fuse cart
done

  Command Failed: Could not reach Fuse console, http response 404
  Setting up fabric container
Using provided password from cartridge
Configuring zookeeper server

Fuse created successfully.  Please make note of these credentials:

   Console URL:        http://fuse01-xuan.ose21z-manual.com.cn
   Console User:       admin
   Console Password:   redhat
   Zookeeper URL:      fuse01-xuan.ose21z-manual.com.cn:36067
   Zookeeper Password: redhat

Expected results:
Don't show error message "Command Failed: Could not reach Fuse console, http response 404" or Tell user "this page is not avaiable temporarily, please wait more time"

Comment 2 Aileen 2014-08-21 16:04:39 UTC
Cart should wait for Fuse to come online.

Comment 3 Hiram Chirino 2014-08-21 17:07:19 UTC
Fix will be in the next build.

Comment 4 xjia 2014-08-27 05:32:02 UTC
Version:
openshift-origin-cartridge-amq-6.1.0.redhat.390-2.el6op.noarch.rpm
openshift-origin-cartridge-fuse-6.1.0.redhat.390-2.el6op.noarch.rpm


Verify:
Don't meet the error "Command Failed: Could not reach Fuse console"
[root@broker ~]# rhc app create fuse fuse -e OPENSHIFT_FUSE_PASSWORD=redhat
Using fuse-1.0.0 (JBoss Fuse 6.1.0 EA) for 'fuse'

Application Options
-------------------
Domain:                amq
Cartridges:            fuse-1.0.0
Gear Size:             default
Scaling:               no
Environment Variables: OPENSHIFT_FUSE_PASSWORD=redhat

Creating application 'fuse' ... fuse already started
done

  Using provided password from cartridge
Configuring zookeeper server

Application fuse created successfully.  Please make note of these credentials:

   Console URL:        https://fuse-amq.fuse-vsphere.com
   Console User:       admin
   Console Password:   redhat
   Zookeeper URL:      fuse-amq.fuse-vsphere.com:45431
   Zookeeper Password: redhat
   SSL Certificate:    

-----BEGIN CERTIFICATE-----
MIIE5zCCAs+gAwIBAgIEUo1VrTANBgkqhkiG9w0BAQsFADAkMSIwIAYDVQQDExlmdXNlLWFtcS5m
dXNlLXZzcGhlcmUuY29tMB4XDTE0MDgyNzA1MjczNloXDTI0MDgyNDA1MjczNlowJDEiMCAGA1UE
AxMZZnVzZS1hbXEuZnVzZS12c3BoZXJlLmNvbTCCAiIwDQYJKoZIhvcNAQEBBQADggIPADCCAgoC
ggIBAL1wf/zcjvKic6aU6HSq8vsqPYMTPHQYh8VFo/t3pgcD0RAQiKsNJM2S40nqagI/4obVWebm
KfXVrLTFU4dplboC8r3gkzCqrXm0CkF4rSZex0Srm1YjpxcFAIirRHJZBRYaC/W4Pa7UqKwQfJNl
wJo53FAWgbaw8tYva7D5Gbsn8VbcC5hVaYe7E3izVakIdV4FAfQPD6RXAvXqW4mFD59VoEiElGWa
A5BDK0y99F3tENb59fFFvd//CieNGxddE5QvZn0T1HmAIgsvLRctLd8/ZIJ+PXT2ODfCf3gIc3Cf
WMP2PZtXXoWhQZiTXk6zeJCexlrv2apELSBA22JCTsZ8L/lENhUaxgZKVcWCvaimlHCAWQQKBbEf
Q96l1Yjxg395YZlksbh14ee4Q6AA+lXbRHCG3GpSrb/oLvNTlBwUyCk4d0HLPPHH0iQ4h6zO3ssK
AR4Sarbi/tyXG/FLLxV/L3rR7WxjJdlasxDNLOKIiJBNnhPuBbPsgaTTpYseWMO4OYdKZ1SG9/MI
avm2cpNcTXe7QRCAlYf1/p4V9+WCa/Xij04WJR6+rKiH8nMFxdfCXzAZth/wPznzGbr91sIrXtlF
7w0BxmxOrRyOVqBv3ib4XYbIxRSEn/jxC/ieJY+lmSVB3wgcZlkTOyFiEpSjdy+LbqpwPEtgzceP
PaDRAgMBAAGjITAfMB0GA1UdDgQWBBRSsKp0aB/1GiWAwSlOiFjBdyI5TDANBgkqhkiG9w0BAQsF
AAOCAgEAENBtJmG/Y+gN+jKgO7sadGUMcE5ZcE2r06HDKspJxv0RuJOmgXpdk2PAwfS2tc484hHh
BiRZ4M0lsWtZglacGgpMojQUQIX393E9IQcG8++BWbwnTS26xCPE5qkKJPtBs1pcVfklv+txdk3d
NcRotjLDwimOyER254m40aotHo9P1ooCk1AjY8Cpml/OsF9GKmAa/5O9IVKfb9DBGxgZWHTOLmRN
1BC1jsr/csWv28UIkUFP/6y8iQXDM7PZYKnET+HaB+coewEuvLUBaHR24g5Hd5siZ6QOPCjCpMCj
PIRwCWn1swACQcxVCanAub+TcvMYS1OMF9qOYZWzCkE3vjh/PsP6KJT33pYEcNApBmYhuFxoeHVm
VTcJMekfrcorxUkYULMGH2OPttz3iN6ZsbYu5cXUufEXB8pdj/YQwoKKtLtjoX55Z20ebHL2544S
VBzK/VdXwEtEXN3JEYSzErUuBID+zXsG3B/3I/OUMFsLnBe2kHxtf4TFy9cn6aetrYEeBztpi5At
NkyU5P44222w5AxRNr5CrYU1Ovw/mpRAp8QbjM58tShSZYlZUfTFvA7cX0Hs5EXh2Skn5OsWVgJa
GliIYNCAtvm7W5itpWCnVoFc1xaBxq4IxdelMJ0olLT9bWKzRXnPDh1Ll0rOvJFam7BKt3g/J7rl
Q/cHhh8=
-----END CERTIFICATE-----

   The management console will be available shortly at: https://fuse-amq.fuse-vsphere.com

fuse ( 29510) is started successfully
Cartridge fuse endpoint OPENSHIFT_FUSE_OPENWIRE_SSL_PORT is exposed at URL tls:fuse-amq.fuse-vsphere.com:2303
Cartridge fuse endpoint OPENSHIFT_FUSE_STOMP_SSL_PORT is exposed at URL tls:fuse-amq.fuse-vsphere.com:2304
Cartridge fuse endpoint OPENSHIFT_FUSE_AMQP_SSL_PORT is exposed at URL tls:fuse-amq.fuse-vsphere.com:2305
Cartridge fuse endpoint OPENSHIFT_FUSE_MQTT_SSL_PORT is exposed at URL tls:fuse-amq.fuse-vsphere.com:2306
Cartridge fuse endpoint OPENSHIFT_FUSE_GATEWAY_SSL_PORT is exposed at URL tls:fuse-amq.fuse-vsphere.com:2307
Cartridge fuse endpoint OPENSHIFT_FUSE_APP_TLS_PORT_1 is exposed at URL tls:fuse-amq.fuse-vsphere.com:2308
Cartridge fuse endpoint OPENSHIFT_FUSE_APP_TLS_PORT_2 is exposed at URL tls:fuse-amq.fuse-vsphere.com:2309
Cartridge fuse endpoint OPENSHIFT_FUSE_APP_TLS_PORT_3 is exposed at URL tls:fuse-amq.fuse-vsphere.com:2310


Note You need to log in before you can comment on or make changes to this bug.